﻿// For an introduction to the Blank template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232509
(function () {
    "use strict";

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;

    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
                // TODO: This application has been newly launched. Initialize
                // your application here.
            } else {
                // TODO: This application has been reactivated from suspension.
                // Restore application state here.
            }
            args.setPromise(WinJS.UI.processAll());

            registerTask5("js\\backgroundtask.js",
                                                   "SampleJavaScriptBackgroundTask",
                                                   new Windows.ApplicationModel.Background.SystemTrigger(Windows.ApplicationModel.Background.SystemTriggerType.timeZoneChange, false),
                                                   null);
        }
    };

    function registerTask(taskEntryPoint, taskName, trigger, condition) {

        var builder = new Windows.ApplicationModel.Background.  ();

        builder.name = taskName;
        builder.taskEntryPoint = taskEntryPoint;
        builder.setTrigger(trigger);

        if (condition !== null) {
            builder.addCondition(condition);
            builder.cancelOnConditionLoss = true;
        }

        var task = builder.register();

        task.addEventListener("progress", new BackgroundTaskSample.progressHandler(task).onProgress);
        task.addEventListener("completed", new BackgroundTaskSample.completeHandler(task).onCompleted)

        var settings = Windows.Storage.ApplicationData.current.localSettings;
        settings.values.remove(taskName);
    };

    app.oncheckpoint = function (args) {
        // TODO: This application is about to be suspended. Save any state
        // that needs to persist across suspensions here. You might use the
        // WinJS.Application.sessionState object, which is automatically
        // saved and restored across suspension. If you need to complete an
        // asynchronous operation before your application is suspended, call
        // args.setPromise().
    };

    app.start();
})();
