﻿// For an introduction to the Blank template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232509
(function () {
    "use strict";

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;
    var ViewManagement = Windows.UI.ViewManagement;
    var view = MSApp.createNewView("ms-appx:///html/secondaryView.html");
    var startProjectionButton;
    var stopProjectionButton;

    app.onactivated = function (args) {   
        if (args.detail.kind === activation.ActivationKind.launch) {
            args.setPromise(WinJS.UI.processAll());

            var output = document.getElementById("output");

            document.getElementById("accessibilityCmd").addEventListener("click", function () {
                var accessibilitySettings = new ViewManagement.AccessibilitySettings();

                output.innerHTML = "High Contrast: " + accessibilitySettings.highContrast + "<br />" +
                    "High Contrast Scheme: " + accessibilitySettings.highContrastScheme;
            });


            startProjectionButton = document.getElementById("startProjectionButton");
            startProjectionButton.disabled = !ViewManagement.ProjectionManager.projectionDisplayAvailable;

            startProjectionButton.addEventListener("click", startProjection);

            stopProjectionButton = document.getElementById("stopProjectionButton");
            stopProjectionButton.addEventListener("click", stopProjection, false);
            stopProjectionButton.disabled = true;
        }
    };

    function startProjection() {
        startProjectionButton.disabled = true;

        ViewManagement.ProjectionManager.startProjectingAsync(
            view.viewId,
            ViewManagement.ApplicationView.getForCurrentView().id
        ).done(function () {
            stopProjectionButton.disabled = false;
            startProjectionButton.disabled = false;
        }, function (e) {
            startProjectionButton.disabled = false;
        });
    }
    function stopProjection() {
        stopProjectionButton.disabled = true;
        ViewManagement.ProjectionManager.stopProjectingAsync(
            view.viewId,
            ViewManagement.ApplicationView.getForCurrentView().id
        ).done(function () {
            startProjectionButton.disabled = false;
        }, function (e) {
            stopProjectionButton.disabled = false;
        });
    }
    app.oncheckpoint = function (args) {
       
    };

    app.start();
})();
