﻿// For an introduction to the Blank template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232509
(function () {
    "use strict";

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;
    var animation = false;
    var numberOfItems = 0;

    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
                // TODO: This application has been newly launched. Initialize
                // your application here.
            } else {
                // TODO: This application has been reactivated from suspension.
                // Restore application state here.
            }
            args.setPromise(WinJS.UI.processAll());

            numberOfItems = data.length;

            var repeaterElement = document.getElementById("repeater");
            var repeater = repeaterElement.winControl;
            repeater.addEventListener("iteminserted", function (ev) {
                var a = WinJS.UI.Animation.createAddToListAnimation(ev.affectedElement);
                a.execute().then(function () {
                    animation = false;
                });;
            });
            repeater.addEventListener("itemremoved", function (ev) {
                var affectedElement = ev.affectedElement;
                repeaterElement.appendChild(affectedElement);
                var a = WinJS.UI.Animation.createDeleteFromListAnimation(affectedElement);

                this.affectedElement = affectedElement;
                var that = this;

                // Return a promise to the Repeater so that I can dispose the item after we have animated it
                // and removed it from the DOM
                ev.setPromise(a.execute().then(function () {
                    repeaterElement.removeChild(that.affectedElement);
                    animation = false;
                }));
            });

            var add = document.getElementById("addCm\d");
            add.addEventListener("click", function (ev) {
                if (!animation) {
                    animation = true;
                    numberOfItems++;
                    data.push({ title: "Item " + numberOfItems });
                }
            });

            var remove = document.getElementById("removeCmd");
            remove.addEventListener("click", function (ev) {
                if (!animation && numberOfItems > 0) {
                    animation = true;
                    numberOfItems--;

                    data.pop();
                }
            });
        }
    };

    app.oncheckpoint = function (args) {
        // TODO: This application is about to be suspended. Save any state
        // that needs to persist across suspensions here. You might use the
        // WinJS.Application.sessionState object, which is automatically
        // saved and restored across suspension. If you need to complete an
        // asynchronous operation before your application is suspended, call
        // args.setPromise().
    };

    app.start();
})();
