﻿// For an introduction to the Blank template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232509
(function () {
    "use strict";

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;
   

    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
                // TODO: This application has been newly launched. Initialize
                // your application here.
            } else {
                // TODO: This application has been reactivated from suspension.
                // Restore application state here.
            }
            args.setPromise(WinJS.UI.processAll());

            var gr = new Windows.UI.Input.GestureRecognizer();
            gr.showGestureFeedback = false;
            gr.gestureSettings =
                Windows.UI.Input.GestureSettings.tap |
                Windows.UI.Input.GestureSettings.doubleTap |
                Windows.UI.Input.GestureSettings.rightTap |
                Windows.UI.Input.GestureSettings.hold |
                Windows.UI.Input.GestureSettings.holdWithMouse;

            gr.addEventListener('manipulationstarted', function (e) { });
            gr.addEventListener('manipulationupdated', function (e) { });
            gr.addEventListener('manipulationcompleted', function (e) { });
            gr.addEventListener('tapped', function (e) { });
            gr.addEventListener('righttapped', function (e) {});

            var target = document.getElementById("targetContainer");

            target.addEventListener('pointerdown', function (evt) {
                var pp = evt.getCurrentPoint(target);
                gr.processDownEvent(pp);
            }, false);
            target.addEventListener('pointermove', function (evt) {
                var pps = evt.getIntermediatePoints(target);
                gr.processMoveEvents(pps);
            }, false);
            target.addEventListener('pointerup', function (evt) {
                var pp = evt.getCurrentPoint(target);
                gr.processUpEvent(pp);

            }, false);
            target.addEventListener('pointercancel', function (evt) {
                var pp = evt.getCurrentPoint(target);
                gr.processUpEvent(pp);

            }, false);
            target.addEventListener('wheel', function (evt) {
                var pp = evt.getCurrentPoint(target);
                gr.processMouseWheelEvent(pp, evt.shiftKey, evt.ctrlKey);
            }, false);
        }
    };

    function log(message) {
        var log = document.getElementById("log");
        log.innerHTML += message + "<br />";
    }

    app.oncheckpoint = function (args) {
        // TODO: This application is about to be suspended. Save any state
        // that needs to persist across suspensions here. You might use the
        // WinJS.Application.sessionState object, which is automatically
        // saved and restored across suspension. If you need to complete an
        // asynchronous operation before your application is suspended, call
        // args.setPromise().
    };

    app.start();
})();
