﻿// For an introduction to the Blank template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232509
(function () {
    "use strict";

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;
    var outputDiv;
    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
                // TODO: This application has been newly launched. Initialize
                // your application here.
            } else {
                // TODO: This application has been reactivated from suspension.
                // Restore application state here.
            }
            args.setPromise(WinJS.UI.processAll());

            outputDiv = document.getElementById("outputDiv");

            document.getElementById("addCors").addEventListener("click", addCors);
            document.getElementById("uploadData").addEventListener("click", uploadData);
        }
    };

    function addCors() {
        new CORSSupport.AzureCommon().addCors().done(function () {
            outputDiv.innerText = "CORS enabled";
        });
    }

    function uploadData() {
        var ajaxRequest = new XMLHttpRequest();

        var imageFilename = new Windows.Foundation.Uri("ms-appx:///images/logo.scale-100.png");

        Windows.Storage.StorageFile.getFileFromApplicationUriAsync(imageFilename).done(function (inputFile) {
            return Windows.Storage.FileIO.readBufferAsync(inputFile).done(function (buffer) {

                var bytes = new Uint8Array(buffer.length);
                var dataReader = Windows.Storage.Streams.DataReader.fromBuffer(buffer);
                dataReader.readBytes(bytes);
                dataReader.close();

                new CORSSupport.AzureCommon().getSas().done(function (url) {
                    try {                   
                        ajaxRequest.open('PUT', url, true);
                        ajaxRequest.setRequestHeader('Content-Type', 'image/jpeg');
                        ajaxRequest.setRequestHeader('x-ms-blob-type', 'BlockBlob');
                        ajaxRequest.send(bytes);
                    }
                    catch (e) {
                        outputDiv.innerText = "can't upload the image to server.\n" + e.toString();
                    }
                });
            })
        });
    }

    app.oncheckpoint = function (args) {
    };

    app.start();
})();
